<?php

function bosa_blog_default_styles(){

	// Begin Style
	$css = '<style>';

	$header_image_height = get_theme_mod( 'header_image_height', 180 );
	$css .= '
		@media only screen and (min-width: 992px) {
			.site-header:not(.sticky-header) .header-image-wrap {
				height: '. esc_attr( $header_image_height ) .'px;
				width: 100%;
				position: relative;
			}
		}
	';

	$feature_posts_height = get_theme_mod( 'feature_posts_height', 320 );
	$css .= '
		.feature-posts-layout-one .feature-posts-image,
		.feature-posts-content-wrap .feature-posts-image {
			height: '. esc_attr( $feature_posts_height ) .'px;
			overflow: hidden;
		}
	';

	if ( get_theme_mod( 'main_slider_controls', 'slider' ) == 'slider' ){
		$background_color_main_slider = get_theme_mod( 'background_color_main_slider', '');
		$css .= '
			.main-slider .banner-img .overlay,
			.main-slider-layout-two .banner-img .overlay {
				background-color: '. esc_attr( $background_color_main_slider ) .';
			}
		';
	}

	$slider_column_space_controls = get_theme_mod( 'slider_column_space_controls', 2 );
	$css .= '
		.section-banner .slider-layout-two .slick-list {
			margin-left: -'. esc_attr( $slider_column_space_controls ) .'px;
			margin-right: -'. esc_attr( $slider_column_space_controls ) .'px;
		}
		.section-banner .slider-layout-two .slide-item {
			margin-left: '. esc_attr( $slider_column_space_controls ) .'px;
			margin-right: '. esc_attr( $slider_column_space_controls ) .'px;
		}
	';

	if( get_theme_mod( 'banner_slider_content_alignment', 'align-center' ) == 'align-center' ){
		$css .= '
			.section-banner .slider-layout-one .banner-img,
			.section-banner .slider-layout-two .banner-img {
				-webkit-align-items: center;
	    		-moz-align-items: center;
	    		-ms-align-items: center;
	    		-ms-flex-align: center;
	    		align-items: center;
	    	}
		';
	}elseif( get_theme_mod( 'banner_slider_content_alignment', 'align-center' ) == 'align-top' ) {
		$css .= '
			.section-banner .slider-layout-one .banner-img,
			.section-banner .slider-layout-two .banner-img {
				-webkit-align-items: flex-start;
	    		-moz-align-items: flex-start;
	    		-ms-align-items: flex-start;
	    		-ms-flex-align: flex-start;
	    		align-items: flex-start;
	    	}
		';
	}elseif( get_theme_mod( 'banner_slider_content_alignment', 'align-center' ) == 'align-bottom' ) {
		$css .= '
			.section-banner .slider-layout-one .banner-img,
			.section-banner .slider-layout-two .banner-img {
				-webkit-align-items: flex-end;
	    		-moz-align-items: flex-end;
	    		-ms-align-items: flex-end;
	    		-ms-flex-align: flex-end;
	    		align-items: flex-end;
	    	}
		';
	}

	if( get_theme_mod( 'main_slider_image_size', 'cover' ) == 'cover' ){
		$css .= '
			.main-slider-wrap .banner-img {
				background-position: center center;
				background-repeat: no-repeat;
				background-size: cover;
			}
		';
	}elseif( get_theme_mod( 'main_slider_image_size', 'cover' ) == 'pattern' ){
		$css .= '
			.main-slider-wrap .banner-img {
				background-position: center center;
				background-repeat: repeat;
				background-size: inherit;
			}
		';
	}elseif( get_theme_mod( 'main_slider_image_size', 'cover' ) == 'norepeat' ){
		$css .= '
			.main-slider-wrap .banner-img {
				background-position: center center;
				background-repeat: no-repeat;
				background-size: inherit;
			}
		';
	}

	// End Style
	$css .= '</style>';

	// return generated & compressed CSS
	echo str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $css); 
}
add_action( 'wp_head', 'bosa_blog_default_styles', 99 );